Page MenuHomePhabricator

Add sniff to detect usage of dirname( __FILE__ ) instead of __DIR__
Closed, ResolvedPublic

Description

Just like the sniff that checks for PHP_SAPI instead of php_sapi_name().

Details

Related Gerrit Patches:
mediawiki/tools/codesniffer : masterSniff to warn check usage of dirname(__FILE__)

Event Timeline

Legoktm created this task.Sep 30 2015, 4:53 PM
Legoktm raised the priority of this task from to Medium.
Legoktm updated the task description. (Show Details)
Legoktm added a project: MediaWiki-Codesniffer.
Legoktm moved this task to Accepted rule changes on the MediaWiki-Codesniffer board.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 4:53 PM
TasneemLo claimed this task.Oct 2 2015, 2:44 AM
TasneemLo set Security to None.

Change 243096 had a related patch set uploaded (by TasneemLo):
Sniff to warn check usage of dirname(FILE)

https://gerrit.wikimedia.org/r/243096

Change 243096 merged by jenkins-bot:
Sniff to warn check usage of dirname(FILE)

https://gerrit.wikimedia.org/r/243096

Legoktm closed this task as Resolved.Oct 7 2015, 6:59 AM